Page MenuHomePhabricator

Request creation of mastodon VPS project
Closed, DeclinedPublic

Description

Project Name: mastodon

Wikitech Usernames of requestors: LDAP account of @revi, @APerson

Purpose: Mastodon instances for Fediverse (T198363: Consider ways to integrate with federated social networks)

Brief description: See also T198363. While I acknowledge the existence of the 'Wikimedia Space' for one of the discussion spaces, Fediverse allows you to connect to the outer world which Space doesn't allow. Mastodon is licensed under AGPL. Installation requires root.

How soon you are hoping this can be fulfilled: Anytime you have time to do it

Event Timeline

revi created this task.Oct 9 2019, 12:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2019, 12:23 PM
revi moved this task from Incoming to Radar on the User-revi board.Oct 9 2019, 6:03 PM
bd808 added a subscriber: bd808.Oct 17 2019, 4:26 PM

@revi we discussed this request in the 2019-10-15 cloud-services-team meeting. Unfortunately, none of us had reviewed this request prior to the meeting and we found that we have some questions before we feel comfortable deciding on approval or other suggestions for your project.

It is not clear if your intent to test some type of integration between Mastodon and software used by the Wikimedia movement (good use of Cloud VPS) or to run a permanent Mastodon deployment targeting Wikimedia users (maybe not a good use of Cloud VPS). Both seem to be proposals on T198363: Consider ways to integrate with federated social networks.

To be more explicit, Cloud VPS is not well suited for hosting "production" services. There certainly are existing projects inside Cloud VPS which host software that the uses would consider "production". The infrastructure we have today however and the quality of service guarantees that the Cloud Services team can provide for Cloud VPS projects make us hesitant to approve new Cloud VPS projects which are explicitly focused on hosting "production" services. More details about some concerns/missing services for supporting "production" services in Cloud VPS were recently documented at T235235: Document data backup and disaster recovery plan for https://space.wmflabs.org and https://discuss-space.wmflabs.org.

bd808 changed the task status from Open to Stalled.Nov 8 2019, 2:14 AM

@revi: Could you please answer the last comment?

bd808 closed this task as Declined.Dec 29 2019, 5:19 AM

Closed for inactivity. Please do reopen and respond to comments if you still wish to work on this project.